> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configuration templates

> Returns a list of `ConfigurationTemplate` objects.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /configuration-templates
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /configuration-templates:
    get:
      tags:
        - configuration-templates
      description: Returns a list of `ConfigurationTemplate` objects.
      operationId: getConfigurationTemplates
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedConfigurationTemplateList'
          description: One page worth of configuration templates for your organization.
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedConfigurationTemplateList:
      description: >-
        # PaginatedConfigurationTemplateList Object

        ### Description

        The `PaginatedConfigurationTemplateList` object is used to store a list
        of configuration templates.


        ### Usage Example

        Returned from the `GET Configuration Templates` endpoint.
      example:
        results:
          - configuration_template_id: 7c86c85d-0651-43e2-a748-d69d658418e8
            admin_owner_id: a4d7d928-783e-4599-8ec6-088d635af4ac
            visibility: private
            linked_audit_message_channel_ids:
              - l3cb7e41-12ba-46da-92ff-030abe0450b1
              - f3cb7e41-12ba-46da-92ff-030abe0450b2
            request_configuration_id: r3cb7e41-12ba-46da-92ff-030abe0450b1
            member_oncall_schedule_ids:
              - 23cb7e41-12ba-46da-92ff-030abe0450b1
              - m3cb7e41-12ba-46da-92ff-030abe0450b2
            break_glass_user_ids:
              - 63cb7e41-12ba-46da-92ff-030abe0450b1
              - b3cb7e41-12ba-46da-92ff-030abe0450b2
            require_mfa_to_approve: false
            require_mfa_to_connect: false
      properties:
        results:
          items:
            $ref: '#/components/schemas/ConfigurationTemplate'
          type: array
    ConfigurationTemplate:
      description: >-
        # Configuration Template Object

        ### Description

        The `ConfigurationTemplate` object is used to represent a configuration
        template.


        ### Usage Example

        Returned from the `GET Configuration Templates` endpoint.
      example:
        configuration_template_id: 7c86c85d-0651-43e2-a748-d69d658418e8
        admin_owner_id: 7c86c85d-0651-43e2-a748-d69d658418e8
        visibility: private
        linked_audit_message_channel_ids:
          - 37cb7e41-12ba-46da-92ff-030abe0450b1
          - 37cb7e41-12ba-46da-92ff-030abe0450b2
        request_configuration_id: 7c86c85d-0651-43e2-a748-d69d658418e8
        member_oncall_schedule_ids:
          - 37cb7e41-12ba-46da-92ff-030abe0450b1
          - 37cb7e41-12ba-46da-92ff-030abe0450b2
        break_glass_user_ids:
          - 37cb7e41-12ba-46da-92ff-030abe0450b1
          - 37cb7e41-12ba-46da-92ff-030abe0450b2
        require_mfa_to_approve: false
        require_mfa_to_connect: false
        name: Prod AWS Template
      properties:
        configuration_template_id:
          description: The ID of the configuration template.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
          format: uuid
          type: string
        name:
          description: The name of the configuration template.
          example: Prod AWS Template
          type: string
        admin_owner_id:
          description: The ID of the owner of the configuration template.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
          format: uuid
          type: string
        visibility:
          $ref: '#/components/schemas/VisibilityInfo'
          description: The visibility info of the configuration template.
          example: private
        linked_audit_message_channel_ids:
          description: >-
            The IDs of the audit message channels linked to the configuration
            template.
          example:
            - 37cb7e41-12ba-46da-92ff-030abe0450b1
            - 37cb7e41-12ba-46da-92ff-030abe0450b2
          items:
            type: string
            format: uuid
          type: array
        request_configuration_id:
          description: >-
            The ID of the request configuration linked to the configuration
            template.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
          format: uuid
          type: string
        member_oncall_schedule_ids:
          description: >-
            The IDs of the on-call schedules linked to the configuration
            template.
          example:
            - 37cb7e41-12ba-46da-92ff-030abe0450b1
            - 7c86c85d-0651-43e2-a748-d69d658418e8
          items:
            type: string
            format: uuid
          type: array
        break_glass_user_ids:
          description: >-
            The IDs of the break glass users linked to the configuration
            template.
          example:
            - 37cb7e41-12ba-46da-92ff-030abe0450b1
            - 37cb7e41-12ba-46da-92ff-030abe0450b2
          items:
            type: string
            format: uuid
          type: array
        require_mfa_to_approve:
          description: >-
            A bool representing whether or not to require MFA for reviewers to
            approve requests for this configuration template.
          example: false
          type: boolean
        require_mfa_to_connect:
          description: >-
            A bool representing whether or not to require MFA to connect to
            resources associated with this configuration template.
          example: false
          type: boolean
        ticket_propagation:
          $ref: '#/components/schemas/TicketPropagationConfiguration'
        custom_request_notification:
          description: >-
            Custom request notification sent upon request approval for this
            configuration template.
          type: string
          maxLength: 800
          nullable: true
          example: Check your email to register your account.
    VisibilityInfo:
      description: Visibility infomation of an entity.
      example:
        visibility: LIMITED
        visibility_group_ids:
          - 7870617d-e72a-47f5-a84c-693817ab4567
          - 1520617d-e72a-47f5-a84c-693817ab48ad2
      properties:
        visibility:
          $ref: '#/components/schemas/VisibilityTypeEnum'
        visibility_group_ids:
          items:
            type: string
            format: uuid
          type: array
      type: object
      required:
        - visibility
    TicketPropagationConfiguration:
      description: >-
        Configuration for ticket propagation, when enabled, a ticket will be
        created for access changes related to the users in this resource.
      type: object
      properties:
        enabled_on_grant:
          type: boolean
        enabled_on_revocation:
          type: boolean
        ticket_provider:
          $ref: '#/components/schemas/TicketingProviderEnum'
        ticket_project_id:
          type: string
      required:
        - enabled_on_grant
        - enabled_on_revocation
    VisibilityTypeEnum:
      description: The visibility level of the entity.
      enum:
        - GLOBAL
        - LIMITED
      example: GLOBAL
      type: string
    TicketingProviderEnum:
      description: The third party ticketing platform provider.
      enum:
        - JIRA
        - LINEAR
        - SERVICE_NOW
      example: LINEAR
      type: string
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````